import { Routes } from '@angular/router';

export const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.routes').then((m) => m.routes),
  },
  {
    path: 'test-page',
    loadComponent: () => import('./test-page/test-page.page').then( m => m.TestPagePage)
  },
     // 聊天模块
     {
      path: "chat/session/role/:chatId",
      loadComponent: () => import('./test-chat-panel/test-chat-panel.component').then(m => m.TestChatPanelComponent),
      runGuardsAndResolvers: "always",
  },
  {
      path: "chat/session/chat/:chatId",
      loadComponent: () => import('./test-chat-panel/test-chat-panel.component').then(m => m.TestChatPanelComponent),
      runGuardsAndResolvers: "always",
  },
  {
      path: 'chat/pro/chat/:chatId',
      redirectTo: '/chat/session/chat/:chatId',
      pathMatch: 'full'
    },
];
